For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Help CenterAPI KeysStatusSign In
GuidesAPI ReferenceChangelog
GuidesAPI ReferenceChangelog
  • Introduction
    • Getting started
  • Email API
  • Transactional SMS
  • Transactional WhatsApp
  • Marketing Campaigns
  • Contact Management
  • Events
    • GETGet events
    • POSTCreate an event
    • POSTCreate events in batch
  • Object Management
  • Accounts and Settings
  • Sales CRM
      • GETGet pipeline stages
      • GETGet a pipeline
      • GETGet all pipelines
      • GETGet deal attributes
      • GETGet all deals
      • POSTCreate a deal
      • GETGet a deal
      • DELDelete a deal
      • PATCHUpdate a deal
      • PATCHLink and Unlink a deal with contacts and companies
      • POSTImport deals(creation and updation)
  • Conversations
  • Ecommerce
  • Loyalty
LogoLogo
Help CenterAPI KeysStatusSign In
Sales CRMDeals

Import deals(creation and updation)

POST
https://api.brevo.com/v3/crm/deals/import
POST
/v3/crm/deals/import
1import { BrevoClient } from "@getbrevo/brevo";
2
3async function main() {
4 const client = new BrevoClient({
5 apiKey: "YOUR_API_KEY_HERE",
6 });
7 await client.deals.importDealsCreationAndUpdation(, {});
8}
9main();
1{
2 "processId": 50
3}
Import deals from a CSV file with mapping options.
Was this page helpful?
Previous

Get all task types

Next
Built with

Authentication

api-keystring

The API key should be passed in the request headers as api-key for authentication.

Request

This endpoint expects a multipart form containing an optional file.
filefileOptional

The CSV file to upload.The file should have the first row as the mapping attribute. Some default attribute names are (a) deal_id [brevo mongoID to update deals] (b) associated_contact (c) associated_company (f) any other attribute with internal name

mappingobjectOptional

The mapping options in JSON format. Here is an example of the JSON structure: json { "link_entities": true, // Determines whether to link related entities during the import process "unlink_entities": false, // Determines whether to unlink related entities during the import process "update_existing_records": true, // Determines whether to update based on deal ID or treat every row as create "unset_empty_attributes": false // Determines whether to unset a specific attribute during update if the values input is blank }

Response

Successfully imported deals
processIdinteger
The ID of the import process

Errors

400
Bad Request Error